hostname = "diya"

do_install:append () {
    cat << 'EOF' >> "${D}${sysconfdir}/profile"
export GDK_BACKEND=wayland
export XDG_RUNTIME_DIR=/home/$USER/.xdg
export XDG_CONFIG_HOME=/home/$USER/.config
export XDG_CACHE_HOME=/home/$USER/.cache
export PATH=$PATH:/home/$USER/bin:/home/$USER/.local/bin
export LD_LIBRARY_PATH=/home/$USER/lib:/home/$USER/.local/lib
export DBUS_SYSTEM_BUS_ADDRESS=unix:path=/run/dbus/system_bus_socket
if [ ! -e "$XDG_RUNTIME_DIR" ]; then
    mkdir -p "$XDG_RUNTIME_DIR"
fi
export TERM=xterm-256color
#if [ -z "$DBUS_SESSION_BUS_ADDRESS" ]; then
#    eval $(dbus-launch --auto-syntax)
#fi
EOF

cat << EOF >> "${D}${sysconfdir}/profile"
export MACHINE=${MACHINE}
EOF
}
