inherit extrausers

EXTRA_USERS_PARAMS =    "usermod -d /home/diya -p 2Pe/4xyFxsokE diya; \
                        usermod -a -G video diya; \
                        usermod -a -G tty diya; \
                        usermod -a -G input diya; \
                        usermod -a -G dialout diya; \
                        usermod -a -G audio diya; \
                        usermod -a -G sudo diya; \
                        "
IMAGE_BOOT_FILES:append = " fs_resize config.txt recovery-${MACHINE}.cpio.gz Image "

IMAGE_INSTALL:append = "kernel-modules \
                        e2fsprogs \
                        libcurl \
                        libdrm \
                        libgbm \
                        libgles2 \
                        libegl-mesa \
                        libglapi \
                        libudev \
                        libinput \
                        diya-overlay \
                        seatd \
                        libxkbcommon \
                        xkeyboard-config \
                        udev \
                        glew \
                        mesa \
                        sudo \
                        htop \
                        i2c-tools \
                        bash \
                        nano \
                        wpa-supplicant \
                        evtest \
                        rsync \
                        coreutils \
                        glmark2 \
                        " 

# TOOLCHAIN_HOST_TASK:append = " libxkbcommon "

IMAGE_PREPROCESS_COMMAND += "image_patch;"

image_patch () {
    # delete unused kernel image
    rm -rf ${IMAGE_ROOTFS}/boot/*
}